﻿using FarPoint.Win.Spread.Design;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Spread.NET_GettingStarted
{
    public partial class Form1 : Form
    {
        private string mFileName = null;

        public Form1()
        {
            InitializeComponent();
        }

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "Excel Spreadsheet (*.XLSX;*.XLSM)|*.XLSX;*.XLSM";
            ofd.FilterIndex = 0;
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                mFileName = ofd.FileName;
                fpSpread1.OpenExcel(mFileName);
                saveToolStripMenuItem.Enabled = true;
            }
        }

        private void saveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            fpSpread1.SaveExcel(mFileName);
        }

        private void saveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SaveFileDialog sfd = new SaveFileDialog();
            sfd.Filter = "Excel Spreadsheet (*.XLSX;*.XLSM)|*.XLSX;*.XLSM";
            sfd.FilterIndex = 0;
            sfd.FileName = mFileName;
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                mFileName = sfd.FileName;
                fpSpread1.SaveExcel(mFileName);
                saveToolStripMenuItem.Enabled = true;
            }
        }

        private void designToolStripMenuItem_Click(object sender, EventArgs e)
        {
            fpSpreadDesigner1.ShowDialog(fpSpread1);
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DialogResult ret = MessageBox.Show("Do you want to save this file before closing?", "Save Spreadsheet", MessageBoxButtons.YesNoCancel);
            if (ret == DialogResult.Cancel)
                return;
            else if (ret == DialogResult.Yes)
                saveToolStripMenuItem_Click(null, EventArgs.Empty);
            Close();
        }
    }
}
